package com.cloudcross.ssp;

import java.util.HashMap;
import java.util.Map;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.cloudcross.ssp.base.utils.freemarker.FreemarkerTemplateProcessor;
import com.cloudcross.ssp.common.utils.MapBuilder;
import com.cloudcross.ssp.common.utils.Pager;

public class PaginationTest extends SpringTestCase {
	@Autowired
	private FreemarkerTemplateProcessor freemarkerTemplateProcessor;
	
	@Test
	public void testSimple() {
		final String template = "pagination/simple.ftl";
		Pager pager = new Pager();
		pager.setPage(1);
		pager.setPageSize(10);
		pager.setTotalRow(9);
		Map model = MapBuilder.create(HashMap.class).add("pager", pager).map();
		System.out.println(freemarkerTemplateProcessor.processTemplate(template, model));
		
		pager.setPage(3);
		pager.setTotalRow(48);
		System.out.println(freemarkerTemplateProcessor.processTemplate(template, model));
		
		pager.setPage(3);
		pager.setTotalRow(39);
		System.out.println(freemarkerTemplateProcessor.processTemplate(template, model));

	}
}